### Hierarchy

- AtomXFControl
  - MovieList

### Implements

- IAtomComponent<IAtomElement>
- INotifyPropertyChanged

## Index

### Constructors

- constructor

### Properties

- app
- element
- pendingInits

### Accessors

- data
- localViewModel
- parent
- viewModel

### Methods

- append
- atomParent
- beginEdit
- bind
- bindEvent
- create
- createControl
- dispose
- find
- hasProperty
- invalidate
- loadXaml
- onPropertyChanged
- onUpdateUI
- preCreate
- registerDisposable
- resolve
- runAfterInit
- setElementValue
- setImport
- setLocalValue
- setPrimitiveValue
- setTemplate
- unbind
- unbindEvent

## Constructors

### constructor

- new MovieList(app: App, e?: any): MovieList

- Overrides AtomComponent.constructor

  - Defined in xf/samples/views/MovieList.ts:7

  #### Parameters

  - ##### app: App

  - ##### Optional e: any

  #### Returns MovieList

## Properties

### app

app: App

Implementation of IAtomComponent.app

Inherited from AtomComponent.app

- Defined in core/AtomComponent.ts:122

### element

element: IAtomElement

Implementation of IAtomComponent.element

Inherited from AtomComponent.element

- Defined in core/AtomComponent.ts:123

### Protected pendingInits

pendingInits: Array<function>

Inherited from AtomComponent.pendingInits

- Defined in core/AtomComponent.ts:43

## Accessors

### data

- get data(): any
- set data(v: any): void

- Inherited from AtomComponent.data

  - Defined in core/AtomComponent.ts:52

  #### Returns any

- Inherited from AtomComponent.data

  - Defined in core/AtomComponent.ts:63

  #### Parameters

  - ##### v: any

  #### Returns void

### localViewModel

- get localViewModel(): any
- set localViewModel(v: any): void

- Inherited from AtomComponent.localViewModel

  - Defined in core/AtomComponent.ts:90

  #### Returns any

- Inherited from AtomComponent.localViewModel

  - Defined in core/AtomComponent.ts:101

  #### Parameters

  - ##### v: any

  #### Returns void

### parent

- get parent(): AtomXFControl

- Inherited from AtomXFControl.parent

  Overrides AtomComponent.parent

  - Defined in xf/controls/AtomXFControl.ts:9

  #### Returns AtomXFControl

### viewModel

- get viewModel(): any
- set viewModel(v: any): void

- Inherited from AtomComponent.viewModel

  - Defined in core/AtomComponent.ts:69

  #### Returns any

- Inherited from AtomComponent.viewModel

  - Defined in core/AtomComponent.ts:80

  #### Parameters

  - ##### v: any

  #### Returns void

## Methods

### append

- append(element: IAtomElement | AtomXFControl): AtomXFControl

- Inherited from AtomXFControl.append

  Overrides AtomComponent.append

  - Defined in xf/controls/AtomXFControl.ts:21

  #### Parameters

  - ##### element: IAtomElement | AtomXFControl

  #### Returns AtomXFControl

### atomParent

- atomParent(e: IAtomElement): AtomXFControl

- Inherited from AtomXFControl.atomParent

  Overrides AtomComponent.atomParent

  - Defined in xf/controls/AtomXFControl.ts:17

  #### Parameters

  - ##### e: IAtomElement

  #### Returns AtomXFControl

### beginEdit

- beginEdit(): IDisposable

- Inherited from AtomComponent.beginEdit

  - Defined in core/AtomComponent.ts:368

  #### Returns IDisposable

### bind

- bind(element: IAtomElement, name: string, path: PathList[], twoWays?: boolean | string[], valueFunc?: function, source?: any): IDisposable

- Inherited from AtomComponent.bind

  - Defined in core/AtomComponent.ts:139

  #### Parameters

  - ##### element: IAtomElement

  - ##### name: string

  - ##### path: PathList[]

  - ##### Optional twoWays: boolean | string[]

  - ##### Optional valueFunc: function

    - - (...v: any[]): any

      - #### Parameters

        - ##### Rest ...v: any[]

        #### Returns any

  - ##### Optional source: any

  #### Returns IDisposable

### bindEvent

- bindEvent(element: IAtomElement, name?: string, method?: EventListenerOrEventListenerObject, key?: string): IDisposable

- Inherited from AtomComponent.bindEvent

  - Defined in core/AtomComponent.ts:177

  #### Parameters

  - ##### element: IAtomElement

  - ##### Optional name: string

  - ##### Optional method: EventListenerOrEventListenerObject

  - ##### Optional key: string

  #### Returns IDisposable

### Protected create

- create(): void

- Overrides AtomComponent.create

  - Defined in xf/samples/views/MovieList.ts:13

  #### Returns void

### Protected createControl

- createControl(name: string): any

- Inherited from AtomXFControl.createControl

  - Defined in xf/controls/AtomXFControl.ts:51

  #### Parameters

  - ##### name: string

  #### Returns any

### dispose

- dispose(e?: IAtomElement): void

- Inherited from AtomXFControl.dispose

  Overrides AtomComponent.dispose

  - Defined in xf/controls/AtomXFControl.ts:25

  #### Parameters

  - ##### Optional e: IAtomElement

  #### Returns void

### Protected find

- find(name: string): any

- Inherited from AtomXFControl.find

  - Defined in xf/controls/AtomXFControl.ts:47

  #### Parameters

  - ##### name: string

  #### Returns any

### hasProperty

- hasProperty(name: string): boolean

- Implementation of IAtomComponent.hasProperty

  Inherited from AtomComponent.hasProperty

  - Defined in core/AtomComponent.ts:236

  #### Parameters

  - ##### name: string

  #### Returns boolean

### invalidate

- invalidate(): void

- Inherited from AtomComponent.invalidate

  - Defined in core/AtomComponent.ts:388

  #### Returns void

### Protected loadXaml

- loadXaml(content: string): void

- Inherited from AtomXFControl.loadXaml

  - Defined in xf/controls/AtomXFControl.ts:42

  #### Parameters

  - ##### content: string

  #### Returns void

### onPropertyChanged

- onPropertyChanged(name: string): void

- Implementation of INotifyPropertyChanged.onPropertyChanged

  Inherited from AtomComponent.onPropertyChanged

  - Defined in core/AtomComponent.ts:364

  #### Parameters

  - ##### name: string

  #### Returns void

### onUpdateUI

- onUpdateUI(): void

- Inherited from AtomComponent.onUpdateUI

  - Defined in core/AtomComponent.ts:400

  #### Returns void

### Protected preCreate

- preCreate(): void

- Inherited from AtomComponent.preCreate

  - Defined in core/AtomComponent.ts:428

  #### Returns void

### registerDisposable

- registerDisposable(d: IDisposable): IDisposable

- Inherited from AtomComponent.registerDisposable

  - Defined in core/AtomComponent.ts:412

  #### Parameters

  - ##### d: IDisposable

  #### Returns IDisposable

### Protected resolve

- resolve<TService>(c: IClassOf<TService>, selfName?: string | function): TService

- Inherited from AtomComponent.resolve

  - Defined in core/AtomComponent.ts:436

  #### Type parameters

  - #### TService

  #### Parameters

  - ##### c: IClassOf<TService>

  - ##### Optional selfName: string | function

  #### Returns TService

### runAfterInit

- runAfterInit(f: function): void

- Inherited from AtomComponent.runAfterInit

  - Defined in core/AtomComponent.ts:404

  #### Parameters

  - ##### f: function

    - - (): void

      - #### Returns void

### Protected setElementValue

- setElementValue(element: any, name: string, value: any): void

- Inherited from AtomXFControl.setElementValue

  Overrides AtomComponent.setElementValue

  - Defined in xf/controls/AtomXFControl.ts:69

  #### Parameters

  - ##### element: any

  - ##### name: string

  - ##### value: any

  #### Returns void

### Protected setImport

- setImport(element: any, name: string, factory: function): void

- Inherited from AtomXFControl.setImport

  - Defined in xf/controls/AtomXFControl.ts:62

  #### Parameters

  - ##### element: any

  - ##### name: string

  - ##### factory: function

    - - (): AtomXFControl

      - #### Returns AtomXFControl

  #### Returns void

### setLocalValue

- setLocalValue(element: IAtomElement, name: string, value: any): void

- Inherited from AtomComponent.setLocalValue

  - Defined in core/AtomComponent.ts:286

  #### Parameters

  - ##### element: IAtomElement

  - ##### name: string

  - ##### value: any

  #### Returns void

### setPrimitiveValue

- setPrimitiveValue(element: IAtomElement, name: string, value: any): void

- Inherited from AtomComponent.setPrimitiveValue

  - Defined in core/AtomComponent.ts:251

  Use this method if you want to set attribute on HTMLElement immediately but defer atom control property

  #### Parameters

  - ##### element: IAtomElement

    HTMLElement

  - ##### name: string

    string

  - ##### value: any

    any

  #### Returns void

### Protected setTemplate

- setTemplate(element: any, name: string, template: function): void

- Inherited from AtomXFControl.setTemplate

  - Defined in xf/controls/AtomXFControl.ts:55

  #### Parameters

  - ##### element: any

  - ##### name: string

  - ##### template: function

    - - (): AtomXFControl

      - #### Returns AtomXFControl

  #### Returns void

### unbind

- unbind(element: IAtomElement, name?: string): void

- Inherited from AtomComponent.unbind

  - Defined in core/AtomComponent.ts:169

  Remove all bindings associated with given element and optional name

  #### Parameters

  - ##### element: IAtomElement

    T

  - ##### Optional name: string

    string

  #### Returns void

### unbindEvent

- unbindEvent(element: IAtomElement, name?: string, method?: EventListenerOrEventListenerObject, key?: string): void

- Inherited from AtomComponent.unbindEvent

  - Defined in core/AtomComponent.ts:207

  #### Parameters

  - ##### element: IAtomElement

  - ##### Optional name: string

  - ##### Optional method: EventListenerOrEventListenerObject

  - ##### Optional key: string

  #### Returns void

Generated using TypeDoc